

*{ box-sizing: border-box; -webkit-font-smoothing: antialiased; text-rendering: optimizeLegibility; scroll-behavior: smooth;}



body.gold  .spotlight {
    filter: invert(1) brightness(4.7) opacity(0.5);
}



.mid-spot {
    width: 1.8em; height: 1.8em;
    border-radius: 50%;
    background: black;
    box-shadow: 0 0 1em 0 #98c0ef;
    cursor: pointer;
    transition: box-shadow 1s ease-in-out;
}
.mid-spot:hover {
    box-shadow: -0.3em 0.1em 0.2em 0 #d8bd10;
}
body.gold > .mid-spot:hover {
    box-shadow: -0.3em 0.1em 0.2em 0 #98c0ef;
}

body.gold > .mid-spot {
    box-shadow: 0 0 1em 0 #d8bd10;
}

.spotlight:hover {
    animation: colorize 10s linear infinite;
}
@keyframes colorize {
    0%{filter: hue-rotate(0deg); }
    100% {filter: hue-rotate(-380deg);}
}

button.contact-btn {
    position: relative; 
    height: fit-content;
    padding: 7px;
    cursor: pointer;

    color: aqua;
    white-space:nowrap;
  
}

.contact-btn-content {
    background: white;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-family: "Space Mono", monospace;
    font-weight: bolder;
    font-size: 1.3vw;
    filter: url(#glow);
    cursor: pointer;
    user-select: none;
}

.contact-btn{
    user-select: none;
}

#ooo , #ooo1, #ooo2{
    font-size: 1vw;
    
}

#ooo{
    margin-left: 5vw;
}

#opo{
    background: aqua;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-family: "Space Mono", monospace;
    font-weight: bolder;
    font-size: 1.2vw;
    filter: url(#glow);
    cursor: default;
    user-select: none;
}


#oooo{
    background: aqua;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-family: "Space Mono", monospace;
    font-weight: bolder;
    font-size: 1.2vw;
    filter: url(#glow);
    cursor: default;
    user-select: none;
}
@media screen and (max-width: 830px) {
    .contact-btn-content {
        background: white;
        background-clip: text;
        -webkit-text-fill-color: transparent;
        font-family: "Space Mono", monospace;
        font-weight: bolder;
        font-size: 8vw;
        filter: url(#glow);
        cursor: pointer;
    }

    
#ooo, #ooo1, #ooo2 {
    font-size: 6vw;

}

#ooo{
    margin-left: 0vw;
}

#tyy{
    margin-top: 10vh;
}

#koko{
     margin-top: 12vh;
}
#opo{
    background: aqua;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-family: "Space Mono", monospace;
    font-weight: bolder;
    font-size: 6vw;
    filter: url(#glow);
    cursor: default;
    user-select: none;
}


#sdg{
    margin-top: -6vh ;
}
}
.contact-btn-content:hover{
    background: aqua;
    background-clip: text;
}

#ooo1:hover{
    background: white;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: url(#glow);
    cursor: default;

}
 .spotlight {
    pointer-events: none;
    position: absolute; left: 0; right: 0; top:0; margin: 0 auto;
   
    transition: filter 1s ease-in-out;
    height: 100%; 
    width: 100%;
    overflow: hidden;
    z-index: 2;
    pointer-events: none;
}
 .spotlight > div {
    border-radius: 0 0 50% 50%;
    position: absolute; left: 0; right: 0; margin: 0 auto; 
    top: 3em;
    width: 30em; 
    height: max(42em, 86vh);
    background-image: conic-gradient(from 0deg at 50% -5%, transparent 45%, rgba(124, 145, 182, .3) 49%, rgba(124, 145, 182, .5) 50%, rgba(124, 145, 182, .3) 51%, transparent 55%);
    transform-origin: 50% 0;
    filter: blur(15px) opacity(0.5);
    z-index: 1;
    animation: load 2s ease-in-out forwards, loadrot 2s ease-in-out forwards, spotlight 21s ease-in-out infinite reverse;
}
 .spotlight > div:nth-child(1){ 
    rotate: 20deg;
    animation: load 2s ease-in-out forwards, loadrot 2s ease-in-out forwards, spotlight 17s ease-in-out infinite;
}
 .spotlight > div:nth-child(2){ 
    rotate: -20deg;
    animation: load 2s ease-in-out forwards, loadrot 2s ease-in-out forwards, spotlight 14s ease-in-out infinite;
}
@keyframes loadrot {
    0% { rotate: 0deg; scale: 0;}
    100% { scale: 1;}
}
@keyframes spotlight {
    0% {
        transform: rotateZ(0deg) scale(1);
        filter: blur(15px) opacity(0.5);
    }
    20% {
        transform: rotateZ(-1deg) scale(1.2);
        filter: blur(16px) opacity(0.6);
    }    
    40% {
        transform: rotateZ(2deg) scale(1.3);
        filter: blur(14px) opacity(0.4);
    }    
    60% {
        transform: rotateZ(-2deg) scale(1.2);
        filter: blur(15px) opacity(0.6);
    }    
    80% {
        transform: rotateZ(1deg) scale(1.1);
        filter: blur(13px) opacity(0.4);
    }    
    100% {
        transform: rotateZ(0deg) scale(1);
        filter: blur(15px) opacity(0.5);
    }    
}


.spotlight.hover {
    animation: colorize 10s linear infinite;
}

@keyframes colorize {
    0% { filter: hue-rotate(0deg); }
    100% { filter: hue-rotate(-380deg); }
}


/* VARIABLES FOR CUSTOMIZING SWITCH */
.switch-container {
    width: 8vw;
    height: 8vh;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #theme-switch {
    display: none;
  }
  
  .switch-label {
    position: relative;
    cursor: pointer;
    display: flex;
    align-items: center;
    width: 5vw; /* $switch-width */
    margin: 0;
    transform: none;
  }
  
 .glow{
    transform: none;
  }
  .switch-overlay {
    transition: all 0.25s ease-in-out; /* $transition-speed */
    position: relative;
    width: 6vw; /* $switch-width */
    height: 6vh; /* $switch-height */
    border-radius: 100px;
    background: #c1c1c1; /* $light-bg */
    border: 1px solid #cbd2f733;
    opacity: 1;
  }
  
  
  .switch-slider {
    cursor: pointer;
    overflow: hidden;
    transition: all 0.25s ease-in-out; /* $transition-speed */
    position: absolute;
    width: 3vw; /* $slider-size */
    height: 3vw; /* $slider-size */
    border-radius: 50%;
    background: #fff; /* $light-slider */
    box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.2);
  }
  
  .theme-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 20px; /* $slider-icon */
    height: 20px; /* $slider-icon */
    pointer-events: none;
    user-select: none;
  }
  
  .light-icon {
    transition: all 0.25s ease-in-out; /* $transition-speed */
    transform: translate(-50%, -50%);
    opacity: 1;
  }
  
  .dark-icon {
    /* image not same size adding additional styles */
    width: 20px;
    height: 20px;
    transition: all 0.25s ease-in-out; /* $transition-speed */
    transform: translate(-50%, -200%);
    opacity: 0;
  }
  
  #theme-switch:checked + .switch-label .switch-overlay {
    transition: all 0.25s ease-in-out; /* $transition-speed */
    position: relative;
    background: #1d2133;
    border-radius: 20em; 
  }

  #theme-switch:checked + .switch-label .switch-overlay::before {
    content: ''; display: block; position: absolute; left: 0; top:0; border-radius: 20em;
    width: 100%; height: 100%;
    background: #c2ccff91 radial-gradient(farthest-side at 50% 100%, #c2ccff, transparent);
    opacity: 0.1;
    transition: all 0.4s ease-in-out;
}
#theme-switch:checked + .switch-label .switch-overlay:hover::before {
    background: #c2ccff91 radial-gradient(farthest-side at 50% 100%, #c2ccff, transparent);

    opacity: 0.3;
}

#theme-switch:checked + .switch-label .switch-overlay .glow {
    --border-width: 1px;
    --loop-cycle: 24s;
    position: absolute;
    inset: calc(var(--border-width)* -1);
    border-radius: 50px;
    border: var(--border-width) solid transparent;
    -webkit-mask: linear-gradient(transparent, transparent), linear-gradient(white, white);
    mask: linear-gradient(transparent, transparent), linear-gradient(white, white);
    -webkit-mask-clip: padding-box, border-box;
    mask-clip: padding-box, border-box;
    -webkit-mask-composite: source-in, xor;
    mask-composite: intersect;
    pointer-events: none;
}
#theme-switch:checked + .switch-label .switch-overlay .glow {
    --loop-cycle: 3s;
}
#theme-switch:checked + .switch-label .switch-overlay .glow::after, #theme-switch:checked + .switch-label .switch-overlay .glow::before {
    content: "";
    height: 100%;
    offset-anchor: 100% 50%;
    background: radial-gradient(circle at 50% 50%, hsla(0, 0%, 100%, 0.75), transparent 50%), radial-gradient(circle at 50% 50%, #c2ccff 50%, transparent);
    opacity: 0.4;
    offset-path: rect(0 100% 100% 0 round 33px);
    position: absolute;
    display: inline-block;
    -webkit-animation: loop 4s linear infinite;
    animation: loop var(--loop-cycle) linear infinite;
    aspect-ratio: 1 / 1;
    transition: opacity 1s ease-in-out;
    
}
#theme-switch:checked + .switch-label .switch-overlay .glow::before {
    animation-delay: calc( var(--loop-cycle) / -2 );
   transform: none;
}
@keyframes loop {
    100% {
        offset-distance: 100%;
    }    
}




  #theme-switch:checked + .switch-label .switch-slider {
    transition: all 0.25s ease-in-out; /* $transition-speed */
    transform: translateX(100%);
    background: #364B59; /* $dark-slider */
  }
  
  #theme-switch:checked + .switch-label .switch-slider .light-icon {
    transition: all 0.25s ease-in-out; /* $transition-speed */
    transform: translate(-50%, 200%);
    opacity: 0;
  }
  
  #theme-switch:checked + .switch-label .switch-slider .dark-icon {
    transition: all 0.25s ease-in-out; /* $transition-speed */
    transform: translate(-50%, -50%);
    opacity: 1;
  }
  

